Overview | Package | Class | Use | Tree | Deprecated | Index
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.emf.ecp.internal.ui.model
Class PropertiesLabelProvider

    java.lang.Object
      org.eclipse.core.commands.common.EventManager
          org.eclipse.jface.viewers.BaseLabelProvider
              org.eclipse.jface.viewers.LabelProvider
                  org.eclipse.emf.ecp.internal.ui.model.PropertiesLabelProvider

All Implemented Interfaces:
  org.eclipse.jface.viewers.IBaseLabelProvider, org.eclipse.jface.viewers.ILabelProvider, org.eclipse.jface.viewers.ITableLabelProvider

    public class PropertiesLabelProvider

extends org.eclipse.jface.viewers.LabelProvider
implements org.eclipse.jface.viewers.ITableLabelProvider

Author:
  Eike Stepper

Constructor Summary
`PropertiesLabelProvider()`

Method Summary
`org.eclipse.swt.graphics.Image` | `getColumnImage(Object element, int columnIndex)`
`String` | `getColumnText(Object element, int columnIndex)`

Methods inherited from class org.eclipse.jface.viewers.LabelProvider
`getImage, getText`

Methods inherited from class org.eclipse.jface.viewers.BaseLabelProvider
`addListener, dispose, isLabelProperty, removeListener`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.eclipse.jface.viewers.IBaseLabelProvider
`addListener, dispose, isLabelProperty, removeListener`

Constructor Detail

### PropertiesLabelProvider

    public PropertiesLabelProvider()

Method Detail

### getColumnText

    public String getColumnText(Object element,
                                int columnIndex)

  Specified by:
    `getColumnText` in interface `org.eclipse.jface.viewers.ITableLabelProvider`

### getColumnImage

    public org.eclipse.swt.graphics.Image getColumnImage(Object element,
                                                         int columnIndex)

  Specified by:
    `getColumnImage` in interface `org.eclipse.jface.viewers.ITableLabelProvider`

Overview | Package | Class | Use | Tree | Deprecated | Index
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2015. All Rights Reserved.